#ifndef COMPONENT_H_
#define COMPONENT_H_

/* Standard includes. */
#include <stdint.h>

/* Function type of entry point. */
typedef void ( * entry_point_t )( void );

/* Definition of a component. */
typedef struct component
{
    entry_point_t entry_point;
    uint32_t * p_functions_table;
    uint32_t functions_table_size;
} component_t;

#endif /* COMPONENT_H_ */
