#ifndef ISR_DB_H_
#define ISR_DB_H_

/* Standard includes. */
#include <stdint.h>

/* Initialize the ISR DB. */
void initialize_isr_db( void );

/* Install an ISR. */
void install_isr( uint32_t isr_id, uint32_t isr_address );

/* Start using the ISR DB. */
void apply_isr_db( void );

#endif /* ISR_DB_H_ */
